%define name	viking
%define version	0.9.9
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Global positioning system (GPS) and mapping manager
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/viking/%{name}-%{version}.tar.gz
URL:		http://viking.sourceforge.net
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+2.0-devel
BuildRequires:	expat-devel curl-devel
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	gpsd-devel
Requires:	gpsbabel

%description
Viking is a free/open source program to manage GPS data. You can import and
plot tracks and waypoints, show Terraserver maps under it, add coordinate
lines, make new tracks and waypoints, hide different things, etc.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING TODO
%{_bindir}/%name
%{_bindir}/%name-remote
%{_datadir}/applications/*
%{_datadir}/icons/*


%changelog
* Thu Oct 15 2009 Olivier Blin <oblin@mandriva.com> 0.9.9-1mdv2010.0
+ Revision: 457590
- 0.9.9 (fixes build with latest libgps)

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 369355
- New version 0.9.8

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0.9.7-1mdv2009.1
+ Revision: 332940
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Sep 28 2008 Olivier Blin <oblin@mandriva.com> 0.9.6-2mdv2009.0
+ Revision: 289002
- remove duplicate menu and icons, they are provided upstream (as of 0.9.5)

* Fri Sep 26 2008 Olivier Blin <oblin@mandriva.com> 0.9.6-1mdv2009.0
+ Revision: 288615
- buildrequire intltool
- 0.9.6 (adapt to new google API)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Funda Wang <fundawang@mandriva.org>
    - New version 0.9.5

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Austin Acton <austin@mandriva.org> 0.9.4-1mdv2009.0
+ Revision: 217828
- new version
- lang files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - fix URL
    - Clearify license

* Tue Oct 23 2007 Funda Wang <fundawang@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 101508
- update to new version 0.9.3
- fix file list

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 80139
- New version 0.9.2

* Mon Sep 03 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 78438
- New version 0.9.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Jul 18 2007 Austin Acton <austin@mandriva.org> 0.9-1mdv2008.0
+ Revision: 53160
- buildrequires curl-devel
- new version
- use own icon

* Fri Jun 15 2007 Austin Acton <austin@mandriva.org> 0.1.3-2mdv2008.0
+ Revision: 39825
- requires gpsbabel

* Fri May 18 2007 Austin Acton <austin@mandriva.org> 0.1.3-1mdv2008.0
+ Revision: 27742
- new version

* Mon Apr 30 2007 Austin Acton <austin@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 19640
- XDG menu
- buildrequires expat
- new version
- Import viking



* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 0.1.0-1mdk
- 0.1.0
- source URL
- cflags
- fix menu

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.0.5-2mdk
- Fix menu

* Wed Jul 16 2003 Austin Acton <aacton@yorku.ca> 0.0.5-1mdk
- initial package
